Bug 101455 - Upgrade to 2.4.20-19.8 kernel causes swap thrashing
Summary: Upgrade to 2.4.20-19.8 kernel causes swap thrashing
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-01 13:57 UTC by Mitch Pirtle
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mitch Pirtle 2003-08-01 13:57:56 UTC
Description of problem:
I installed RH8.0 on my laptop (IBM ThinkPad T30), and everything was fine. 
Then I upgraded the kernel to 2.4.20-19.8, as per up2date.  Now when I boot into
the 2.4.20-19.8 kernel, 'vmstat 1' reports constant si and so, despite having
plenty of ram...

Rebooting into the old 2.4.18-4 kernel makes it go away.

Version-Release number of selected component (if applicable):
kernel-2.4.20-19.8

How reproducible:
Guaranteed, tested over two days and too durn many reboots.  :^/

Steps to Reproduce:
1. Get a TP T30
2. Slap RH8 on it
3. Run up2date, do the kernel mambo
4. Sing "Anticipation..."
    
Actual results:
A laptop that is not manageable due to pitiful performance, and I'm easy to
please (living on a dual PIII-450 MHz at home)...

Expected results:
Upgraded kernel should fix things, not break them.

Additional info:
I already lost plenty of time thinking it was RPM or apt4rpm related, now it is
quite clear that it is a kernel/swap issue.

Comment 1 Bugzilla owner 2004-09-30 15:41:23 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.